'use strict';

var angular = require('angular');
require('../modules');

angular
  .module('intro.directives')
  .directive('sinoIntro', sinoIntro);
 
/**
 * 介绍项
 * 作用范围：
 *   dom的属性
 * 例子：
 *   <div sino-intro="xxxId"></div>
 * 参数：
 *   sino-intro: 介绍项的Id, 指代配置ID
 * 
 * @ngInject
 */
function sinoIntro() {
  return {
    restrict: 'A',
    replace: false,
    scope: true,
    require: '?^sinoIntroPage',
    link: function(scope, element, attrs, ctrl) {
      var stepId = attrs.sinoIntro;
      if (ctrl) {
        ctrl.putElement(stepId, element[0]);
      }
    }
  }
} 